.mdl-selectfield {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    width: 300px;
    max-width: 100%;
    margin: 0;
    vertical-align: middle;
    line-height: 20px;
    font-size: 16px;
    padding: 20px 0;
}

.mdl-selectfield__select {
    visibility: visible;
    font-size: 16px;
    margin: 2px 0 3px 0;
    padding: 0;
    width: 100%;
    border:none;
    background:transparent;
    -webkit-appearance:none;
    -moz-appearance:none;
    appearance:none;
}

.mdl-selectfield__label {
    color: rgba(0,0,0, 0.26);
    vertical-align: middle;
    bottom: 0;
    font-size: 16px;
    left: 0;
    right: 0;
    pointer-events: none;
    position: absolute;
    display: block;
    top: 24px;
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    text-align: left;
}

.mdl-selectfield.is-dirty .mdl-selectfield__label {
    visibility: hidden;
}

.mdl-selectfield--floating-label .mdl-selectfield__label {
    -webkit-transition-duration: .2s;
    transition-duration: .2s;
    -webkit-transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.mdl-selectfield--floating-label.is-dirty .mdl-selectfield__label, .mdl-selectfield--floating-label.is-focused .mdl-selectfield__label {
    color: var(--primary-color-500);
    font-size: 12px;
    top: 4px;
    visibility: visible;
}

.mdl-selectfield.is-disabled.is-disabled .mdl-selectfield__label {
    color: rgba(0,0,0, 0.26);
}

.mdl-selectfield.is-invalid .mdl-selectfield__label {
    color: rgb(222, 50, 38);
}

.mdl-selectfield__error {
    color: rgb(222, 50, 38);
    position: absolute;
    font-size: 12px;
    margin-top: 3px;
    visibility: hidden;
    display: block;
    white-space: nowrap;
}

.mdl-selectfield.is-invalid .mdl-selectfield__error {
    visibility: visible;
}

.mdl-selectfield__box {
    position: absolute;
    top: 24px;
    left: 0;
    right: 0;
    bottom: 19px;
    border-bottom: 1px solid rgba(0,0,0, 0.12);
    outline: none;
    z-index: 100;
    overflow: hidden;
    cursor: pointer;
}

    .mdl-selectfield__box > i {
        color: rgba(0,0,0, 0.26);
        position: absolute;
        top: 50%;
        margin-top: -14px;
        right: 0;
        line-height: 24px;
        width: 24px;
        outline: none;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        cursor: default;
        z-index: 99;
    }

.mdl-selectfield.is-invalid .mdl-selectfield__box > i {
    color: rgb(222, 50, 38);
}

.mdl-selectfield__box .mdl-selectfield__box-value {
    position: absolute;
    left: 0;
    top: 0;
    font-size: 16px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: default;
    z-index: 99;
    outline: none;
    white-space: nowrap;
    width: 92%;
    overflow: hidden;
}

.mdl-selectfield.is-focused .mdl-selectfield__box {
    outline: none;
}

.mdl-selectfield.is-invalid .mdl-selectfield__box {
    border-color: rgb(222, 50, 38);
}

.mdl-selectfield.is-disabled .mdl-selectfield__box {
    border-bottom: 1px dotted rgba(0,0,0, 0.12);
    color: rgba(0,0,0, 0.26);
}

.mdl-selectfield__list-option-box {
    position: absolute;
    left: 0;
    top: 29px;
    right: 0;
    display: none;
    background: rgb(255,255,255);
    margin: 0;
    padding: 0;
    border: none;
    border-radius: 2px;
    opacity: 0;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14),0 3px 1px -2px rgba(0,0,0,0.2),0 1px 5px 0 rgba(0,0,0,0.12);
    -webkit-transition: opacity .2s cubic-bezier(0.4, 0, 0.2, 1);
    transition: opacity .2s cubic-bezier(0.4, 0, 0.2, 1);
    z-index: -1;
    min-width: 124px;
    max-height: 300px;
    overflow-x: hidden;
    overflow-y: auto;
}

    .mdl-selectfield__list-option-box ul {
        margin: 0;
        padding: 5px 0;
        list-style: none;
    }

        .mdl-selectfield__list-option-box ul > li {
            font-size: 13px;
            color: rgba(33,33,33,0.87);
            line-height: 19px;
            min-height: 19px;
            padding: 10px 14px 8px 14px;
            -webkit-transition: background-color cubic-bezier(0.4, 0, 0.2, 1);
            transition: background-color cubic-bezier(0.4, 0, 0.2, 1);
            cursor: pointer;
            outline: none;
            box-sizing: content-box;
        }

            .mdl-selectfield__list-option-box ul > li:hover, .mdl-selectfield__list-option-box ul > li.is-selected {
                background-color: #f8f8f8;
            }

            .mdl-selectfield__list-option-box ul > li.is-disabled {
                color: rgba(0,0,0, 0.26);
                background-color: rgb(255,255,255);
                cursor: default;
            }

.mdl-selectfield.is-focused .mdl-selectfield__list-option-box {
    display: block;
    opacity: 1;
    z-index: 999;
}
